package org.dromara.system.service;

import org.dromara.system.domain.RegionFacilities;
import org.dromara.system.domain.vo.RegionFacilitiesVo;
import org.dromara.system.domain.bo.RegionFacilitiesBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface IRegionFacilitiesService {

    /**
     * 查询【请填写功能名称】
     */
    RegionFacilitiesVo queryById(String regionId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<RegionFacilitiesVo> queryPageList(RegionFacilitiesBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<RegionFacilitiesVo> queryList(RegionFacilitiesBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(RegionFacilitiesBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(RegionFacilitiesBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    Boolean batchDelete(List<String> list);
}
